Bug 6690 - автоинтерфейсы
: автоинтерфейсы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-27 19:34 by
Modified: 2005-07-19 11:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-27 19:34:26
Добавить модуль, который мог бы слушая сеть (tcpdump) автоматически
генерировать
конфигурацию

 - сеть, маска подсети
 - наличие DHCP-сервера
 - наличие и адреса DNS-серверов
 - имя домена
------- Comment #1 From 2005-04-27 19:53:17 -------
эта... погоди, я ту штуку отгуглю, тогда будет смысл такими фичреквестами
бросаться.  и то не факт, что в etcnet
------- Comment #2 From 2005-04-27 19:56:07 -------
rider меня послал сюда :)
Перевесить всяко потом можно, а так забудется.
------- Comment #3 From 2005-04-28 09:58:32 -------
Почитал ваше техзадание.
Какой же это модуль? Это самостоятельная программа наподобие zcip, которая
готовит конфиги для /etc/net. Я не хочу ещё и её писать.
P.S. В WONTFIX пока переводить не буду, но имейте в виду...
------- Comment #4 From 2005-04-28 10:07:00 -------
а почему самостоятельная программа ?

Это поведение чем-то смахивает на такую настройку для интерфейса:
USE_HOTPLUG=yes
DHCP=yes

Только вместо DHCP нужен либо zcip, либо mDNS, либо все по очереди.

При чем самое важное - такая конфигурация нужна для всех интерфейсов, не имеющих
объявленных настроек. Тогда это будет работать. 

Правда на серверах все-таки такую штуку лучше отключать ;-)
Мало ли кто какой USBNET воткнет.

------- Comment #5 From 2005-04-28 10:15:46 -------
rider: то есть ты опять предлагаешь флажок, по которому твои любимые, но
неизвестные hotplug-интерфейсы будут автоматически конфигурироваться по zcip...
------- Comment #6 From 2005-04-28 10:24:56 -------
по zcip, dhcp, mDSN и т.д. 

Да, ибо не знаю другого способа застравить работать часть функционала

Можно конечно сгородить что-то страшное типа связки:
hotplug->dbus->hal->kde_configuration_applet->alterator->bus->etcnet_backend,
где kde_configuration_applet спрашивает у пользователя, что делать с интерфейсом.

Но как-то это страшно выглядит ;-)
Опять же - придется ваять аплеты для всех WM.
------- Comment #7 From 2005-04-28 10:41:01 -------
(In reply to comment #4)
> а почему самостоятельная программа ?
Стоп-стоп-стоп.  Народ, давайте с _этим_ после 3.0.

Объясняю то, что в оригинале сказал mithraen'у (вольный перевир):

как-то видел такую штуковину, которая настраивала сеть, послушав бегающие мимо
пакеты и положив на результат ряд эвристик.  Под шальное настроение подумалось
-- "эх, подняли бы сеть в начале инсталяции, как будет разумно, форкнули такую
штуку и пусть после установки basesystem у нас уже будет статистика про то, как
здесь может быть сконфигурирована сеть" :-)

Т.е. это _не_ какой-либо протокол, будь-то DHCP, zcip или что иное.  Нет,
_расширить_ ту фиговину до понимания _этих_ пакетов и интегрировать её с
дефолтами на галках "DHCP" и прочее было бы замечательно, но за минут десять я
эту софтинку отгуглить опять не смог.

Короче: погодите, это всё равно действительно не на 3.0, хоть и клёвая фича :-)
------- Comment #8 From 2005-04-28 10:46:43 -------
> по zcip, dhcp, mDSN и т.д. 
mDNS --- не протокол назначения адреса на интерфейс, не нужно его приплетать
сюда. Можете его считать просто частным способом конфигурации resolv.conf
Ещё не забывайте пожалуйста, что на произвольно взятом "авто" интерфейсе
DHCP/zcip может просто не работать.
------- Comment #9 From 2005-04-28 16:31:00 -------
Это в любом случае на post-3.0, с чем полностью согласен.
Вопрос лишь в том, что сие должно уже висеть. Иначе все об этом забудут.
------- Comment #10 From 2005-06-28 13:28:32 -------
Баг принимается в смысле флажка для неизвестных интерфейсов и будет разрешён в
версии 0.7.7. Дополнительную программу с искусственным интеллектом оставляем на
скрижалях.
------- Comment #11 From 2005-07-14 11:46:32 -------
Желающие могут проверить, у меня работает.